<?php
/**
 * Common Template - tpl_columnar_display.php
 *
 * This file is used for generating tabular output where needed, based on the supplied array of table-cell contents.
 *
 * @package templateSystem
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_columnar_display.php 3157 2006-03-10 23:24:22Z drbyte $
 */

if( !zen_not_null( $columns ) ){
  $columns = 4;
}

if( !zen_not_null( $classes ) ){
  $classes = 'grid';
}

?>

<?php

if ($title) {
  echo $title;
} 

echo '<div class="product-carousel-nav"></div>';

if (is_array($list_box_contents) > 0 ) {
 for($row=0;$row<sizeof($list_box_contents);$row++) {
    $params = '';

    echo '<div class="' . $classes . ' clearfix" data-items="' . $columns .'">';
    for($col=0;$col<sizeof($list_box_contents[$row]);$col++) {
      $r_params = '';
      if (isset($list_box_contents[$row][$col]['params'])) $r_params .= ' ' . (string)$list_box_contents[$row][$col]['params'];
      if (isset($list_box_contents[$row][$col]['text'])) {
        echo '<div' . $r_params . '>' . $list_box_contents[$row][$col]['text'] .  '</div>' . "\n"; 
      }
    }
    echo '</div>';

  }
}
?> 
